summaryrefslogtreecommitdiffstats
path: root/system/libwmf-type1-fonts
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-06-09 10:21:00 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-06-10 14:01:20 +0700
commit0dad343b95168460a5d515590e0f8899f3abb0a3 (patch)
treecac4a66ddc21c50dc5334d477d3247a3ecda314e /system/libwmf-type1-fonts
parent2bef5faefd151778fe141d01d0a8c97e7fae73f0 (diff)
downloadslackbuilds-0dad343b95168460a5d515590e0f8899f3abb0a3.tar.gz
slackbuilds-0dad343b95168460a5d515590e0f8899f3abb0a3.tar.xz
system/libwmf-type1-fonts: Added (postscript fonts for libwmf)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/libwmf-type1-fonts')
-rw-r--r--system/libwmf-type1-fonts/README9
-rw-r--r--system/libwmf-type1-fonts/libwmf-type1-fonts.SlackBuild54
-rw-r--r--system/libwmf-type1-fonts/libwmf-type1-fonts.info10
-rw-r--r--system/libwmf-type1-fonts/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/system/libwmf-type1-fonts/README b/system/libwmf-type1-fonts/README
new file mode 100644
index 0000000000..8a9c936288
--- /dev/null
+++ b/system/libwmf-type1-fonts/README
@@ -0,0 +1,9 @@
+libwmf-type1-fonts (URW base 35 postscript fonts for libwmf)
+
+These Type 1 fonts are required for Slackware's libwmf package to be
+able to render text. They're installed to /usr/share/libwmf/fonts, so
+they're not available for other uses.
+
+Installing this package allows Slackware's Gimp to be able to display
+WMF (Windows MetaFiles) with embedded text, instead of giving an error
+message when it tries. It also allows qiv (from SBo) to display them.
diff --git a/system/libwmf-type1-fonts/libwmf-type1-fonts.SlackBuild b/system/libwmf-type1-fonts/libwmf-type1-fonts.SlackBuild
new file mode 100644
index 0000000000..6b12c46f98
--- /dev/null
+++ b/system/libwmf-type1-fonts/libwmf-type1-fonts.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# Slackware build script for libwmf-type1-fonts
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libwmf-type1-fonts
+SRCNAM=urw-base35-fonts
+VERSION=${VERSION:-20200910}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+FONTDIR=$PKG/usr/share/libwmf/fonts
+mkdir -p $FONTDIR
+cp -a fonts/*.{t1,afm} $FONTDIR
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/libwmf-type1-fonts/libwmf-type1-fonts.info b/system/libwmf-type1-fonts/libwmf-type1-fonts.info
new file mode 100644
index 0000000000..22e7c0cbc9
--- /dev/null
+++ b/system/libwmf-type1-fonts/libwmf-type1-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="libwmf-type1-fonts"
+VERSION="20200910"
+HOMEPAGE="https://github.com/ArtifexSoftware/urw-base35-fonts/"
+DOWNLOAD="https://github.com/ArtifexSoftware/urw-base35-fonts/archive/20200910/urw-base35-fonts-20200910.tar.gz"
+MD5SUM="eb78ab0b6eb4115fc1a68c8f2a81abf6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/system/libwmf-type1-fonts/slack-desc b/system/libwmf-type1-fonts/slack-desc
new file mode 100644
index 0000000000..c26eae6d60
--- /dev/null
+++ b/system/libwmf-type1-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libwmf-type1-fonts: libwmf-type1-fonts (URW base 35 postscript fonts for libwmf)
+libwmf-type1-fonts:
+libwmf-type1-fonts: These Type 1 fonts are required for Slackware's libwmf package to be
+libwmf-type1-fonts: able to render text. They're installed to /usr/share/libwmf/fonts, so
+libwmf-type1-fonts: they're not available for other uses.
+libwmf-type1-fonts:
+libwmf-type1-fonts:
+libwmf-type1-fonts:
+libwmf-type1-fonts:
+libwmf-type1-fonts:
+libwmf-type1-fonts: